0

i am using ubuntu 18.04 LTS and my kernel version is 4.15.0-96-generic i have installed curl via

sudo apt-get install curl

when i am using command curl --version it says

curl: /home/user/LD_LIBRARY/libcurl.so.4: version `CURL_OPENSSL_4' not found (required by curl)

i have gone over this link curl is not working on Ubuntu 18.04 LTS but it did not resolved the error

where openssl version returns

OpenSSL 1.1.1  11 Sep 2018
0

Any software installed from official repository should simply work out the box without exceptions. The curl is essential component, so you have broke it.

Please check your LD_LIBRARY_PATH and/or remove problematic library from home-folder by

rm /home/user/LD_LIBRARY/libcurl.so.4
2
  • after that i am getting -> curl: libcurl.so.4: version `CURL_OPENSSL_4' not found (required by curl) – user3801239 Aug 28 '20 at 10:49
  • after removing it from the home folder and from .bashrc it worked thanks – user3801239 Aug 28 '20 at 11:43

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.